### Method

# Foundry TextBuffer dup_language_id

#### Declaration [src]

    char*
    foundry_text_buffer_dup_language_id (
      FoundryTextBuffer* self
    )

#### Description [src]

Gets the GtkSourceView-style identifier for the language of the buffer such as “c” or “js”.

#### Return value

Type: `char*`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.